## nodeenv-0.11.0.tar.gz

=== Makefile ===
.PHONY: default deploy deploy-github deploy-pypi update-pypi clean tests

default:
	: do nothing when dpkg-buildpackage runs this project Makefile

deploy-github:
	git tag `grep "nodeenv_version =" nodeenv.py | grep -o -E '[0-9]\.[0-9]{1,2}\.[0-9]{1,2}'`
	git push --tags origin master

deploy-pypi:
	python setup.py sdist upload

update-pypi:
	python setup.py register

deploy: contributors deploy-github deploy-pypi

clean:
	@rm -rf nodeenv.egg-info/
	@rm -rf dist/
	@rm -rf build/
	@rm -rf env/
	@rm -rf nodeenv/

test1:
	@echo " ="
	@echo " = test1: separate nodejs's env"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		rm -rf nodeenv                    && \
		nodeenv -j 4 nodeenv

test2:
	@echo " ="
	@echo " = test2: the same virtualenv's env, with 4 jobs"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		nodeenv -j 4 -p

test3:
	@echo " ="
	@echo " = test3: the same virtualenv's env, without any params"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		nodeenv -p

# https://github.com/ekalinin/nodeenv/issues/43
test4:
	@echo " ="
	@echo " = test4: separate nodejs's env for python3.4"
	@echo " ="
	@rm -rf env                                                 && \
		virtualenv --no-site-packages --python=python3.4 env    && \
		. env/bin/activate                                      && \
		python setup.py install                                 && \
		nodeenv 4 -p --prebuilt                                 && \
		nodeenv -p --node=system

test5:
	@echo " ="
	@echo " = test5: prebuilt nodejs's env for python2"
	@echo " ="
	@rm -rf env                                 && \
		virtualenv --no-site-packages --python=python2.7 env    && \
		. env/bin/activate                      && \
		python setup.py install                 && \
		nodeenv 4 -p --prebuilt                 && \
		nodeenv -p --node=system

tests: clean test1 clean test2 clean test3 clean test4 clean test5 clean

contributors:
	@echo "Nodeenv is written and maintained by Eugene Kalinin." > AUTHORS
	@echo "" >> AUTHORS
	@echo "Patches and Suggestions" >> AUTHORS
	@echo '```````````````````````' >> AUTHORS
	@echo "" >> AUTHORS
	@git log --raw | grep "^Author: " | \
		sort | uniq -c | sort -n -r | \
		cut -d ':' -f 2 | sed 's/^/- /' | \
		cut -d '<' -f1 | uniq | grep -v Kalinin >> AUTHORS

=== debian/changelog ===
nodeenv (0.10.0) unstable; urgency=low

  * Issue 85: Added support for config file
  * Issue 84: Added `nodejs` symlink creation

  [Eugene Kalinin]
  * Issue 87: Using of virtualenv detected via python not envvar
  * Issue 88: Fixed `freeze` for zsh

 -- Juergen Hermann <jh@web.de>  Sat, 12 Jul 2014 00:00:57 +0200

nodeenv (0.9.5+git-1479d8f) unstable; urgency=low

  * Issue 77: Debian packaging using dh-virtualenv
  * Issue 76: Try to find "nodejs" as well, when using system-wide node
  * Issue 76: Added "assert" for checking if system-wide node is actually found

  [Eugene Kalinin]
  * Issue 74: Fixed a few spelling typos in README
  * Issue 74: Fixed example of using "--update" option in README
  * Issue 75: Improved args passing within shim script
  * Issue 71: Added "-l" option to "freeze" command

 -- Juergen Hermann <jh@web.de>  Wed, 18 Jun 2014 12:32:45 +0200

=== debian/control ===
Source: nodeenv
Section: contrib/python
Priority: extra
Maintainer: Eugene Kalinin <e.v.kalinin@gmail.com>
Build-Depends: debhelper (>= 9), python, dh-virtualenv, tar
Standards-Version: 3.9.5
Homepage: https://github.com/ekalinin/nodeenv

Package: nodeenv
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}
Recommends: nodejs
Description: Node.js virtual environment builder
    .
    Tool to create isolated node.js environments, with its own 
    installation directories, that doesn't share libraries with
    other node.js virtual environments.
    .
    These environments can be integrated with ones created by
    Python's virtualenv.
